Package org.snpeff.fileIterator

# Class DnaSeqIdFileIterator

java.lang.Object
org.snpeff.fileIterator.BinSeqFileIterator<DnaSequenceId>
org.snpeff.fileIterator.DnaSeqIdFileIterator

All Implemented Interfaces:
  `Iterable<DnaSequenceId>`, `Iterator<DnaSequenceId>`

public class DnaSeqIdFileIterator extends BinSeqFileIterator<DnaSequenceId>

## Constructor Summary

Constructors
Constructor
Description
`DnaSeqIdFileIterator(String fileName)`

## Method Summary

### Methods inherited from class org.snpeff.fileIterator.BinSeqFileIterator

`close, hasNext, iterator, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### DnaSeqIdFileIterator

public DnaSeqIdFileIterator(String fileName)